## ros-indigo-cob-navigation-config 0.6.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_navigation_config)

find_package(catkin REQUIRED)

catkin_package()

#############
## Install ##
#############

install(DIRECTORY robots
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-navigation-config (0.6.7-0trusty) trusty; urgency=high

  * Merge pull request #105 <https://github.com/ipa320/cob_navigation/issues/105> from floweisshardt/feature/add_cob4-13_and_cob4-16
    add cob4-13 and cob4-16
  * add cob4-13 and cob4-16
  * Contributors: Florian Weisshardt, ipa-fmw

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-navigation-config (0.6.6-0trusty) trusty; urgency=high

  * Merge pull request #97 <https://github.com/ipa320/cob_navigation/issues/97> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #91 <https://github.com/ipa320/cob_navigation/issues/91> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #89 <https://github.com/ipa320/cob_navigation/issues/89> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fez, ipa-fxm, ipa-uhr-mk

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-navigation-config (0.6.5-0trusty) trusty; urgency=high

  * remove nav config for unsupported bases
  * refactoring env config
  * restructure nav config
  * remove cob4-10
  * add configs for missing supported robots
  * remove cob4-1
  * remove obsolete configs due to unsupported robots
  * nav config for raw3-6
  * use new costmap param layout
  * cob4-5 setup
  * Adapted config file for cob3-2
  * Adapted config file for cob3-6
  * Added map types to changed configs
  * Adapted config file for cob4-2
  * Adapted config file for cob4-1
  * Adapted config file for raw3-6
  * Adapted config file for raw3-5
  * Adapted config file for raw3-4
  * Adapted config file for raw3-1
  * Adapted costmap config file for raw3-3
  * first adaption of costmap parameters
  * Contributors: Benjamin Maidel, Florian Weisshardt, ipa-cob4-5, ipa-fxm, ipa-mig, mig-em, teddy

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-navigation-config (0.6.4-0trusty) trusty; urgency=high

  * restructure laser topics
  * removed scan_unifier from cob_navigation
  * Contributors: Benjamin Maidel, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-navigation-config (0.6.3-0trusty) trusty; urgency=high

  * cob_navigation_config: remove robots not supported anymore
  * remove trailing whitespace
  * migration to package format v2, indentation fixes
  * Contributors: ipa-mig

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-navigation-config (0.6.2-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-navigation-config (0.6.1-0trusty) trusty; urgency=high

  * added cob4-2 configuration
  * Contributors: ipa-cob4-2

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-navigation-config (0.6.0-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Tue, 09 Sep 2014 22:00:00 -0000

ros-indigo-cob-navigation-config (0.5.2-0trusty) trusty; urgency=high

  * removed start_delay from scan-unifier configs and intendation-fix
  * updated scan_unifier to parse scan_topics for subscription from parameter-server. added scan_unifier config-files for each robot. modified launch files for navigation and amcl to use scan_unifier
  * added the new scan_unifier as well as a dummy config file and removed the old one
  * added softkinetic cameras as voxel based observation sources
  * Changed frame_ids to non slashed versions. TF should now work with hydro.
  * Contributors: Alexander Bubeck, Florian Mirus, flg

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-navigation-config (0.5.1-0trusty) trusty; urgency=high

  * cob_navigation: removing cob3-5b configs
  * add changelog
  * version bump
  * remove more not needed files
  * adjust CMakeLists and package.xml
  * set author/maintainer email
  * Update cob4-1 config
    due to @ipa-mig suggestion from https://github.com/ipa320/cob_navigation/pull/22
  * Configuration for cob4-1
  * change config to groovy
  * add config for cob3-5b
  * Catkinisation and gitignore.
  * some config changes
  * added navigation config for raw3-6
  * modified footprint dimensions
  * added raw3-3 and raw3-5 navigation config
  * slower down robot
  * add voxel costmap for all cob's
  * integrate changes of cob_navigation into new setup
  * fix navigation for cob
  * allow dwa backwards movement for all cobs
  * use dwa parameter for cob3-1 from janpaulus
  * move planner config files from common to robot specific folder
  * using voxel costmap for ros navigation
  * Set clearing = true for Hokuyo sensor
  * adjust footprint to fit emergency stop fields
  * optimized parameters for platform movements, lowered control frequency
  * add raw3-4 parameter
  * optimized parameters for platform movements, lowered control frequency
  * extend footpint g
  * fix wiki links inf manifest.xml and stack.xml
  * extend footprint
  * hokuyo marking but not clearing
  * extend footprint and use laser_top
  * adjust footprint for desire
  * extend footprint in x-direction
  * removal of cob_base_velocity_smoother, moved to stack cob_driver
  * namechanges from cob_vel_integrator to cob_base_velocity_smoother
  * adjust manifests for documentation
  * merge
  * adapt max_vel_theta and footprint
  * remove unavailable observation sources from raw3-2 costmap
  * integrate cob_vel_integrator yaml and fix wrong inclusions
  * merge branch raw3-1 into master
  * default rviz config
  * fix roslaunch tests
  * added robot specific paramters
  * removed old config file
  * refactoring of cob_navigation_config; current cob_drivers required
  * modifications for raw3-1
  * rearrange stack
  * rename cob_linear_nav to cob_navigation_linear, rearrange again


=== debian/control ===
Source: ros-indigo-cob-navigation-config
Section: misc
Priority: extra
Maintainer: Felix Zeltner <fez@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/cob_navigation_config
Standards-Version: 3.9.2

Package: ros-indigo-cob-navigation-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This package holds common configuration files for running the move_base node and other navigation related nodes on the Care-O-bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-navigation-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
